import { ContentAsset, ContentAssetMetadataMapEntry, StoreEntry } from "../../types/index.js";
import { ContentAssetMetadataMapEntryWasmInline } from "../../types/content-assets.js";
import { ContentCompressionTypes } from "../../constants/compression.js";
export declare class ContentWasmInlineAsset implements ContentAsset {
    readonly type = "wasm-inline";
    private readonly metadata;
    private readonly sourceAndInfo;
    private readonly compressedSourcesAndInfo;
    constructor(metadata: ContentAssetMetadataMapEntryWasmInline);
    get isLocal(): boolean;
    get assetKey(): string;
    getStoreEntry(acceptEncodingsGroups?: ContentCompressionTypes[][]): Promise<StoreEntry>;
    getBytes(): Uint8Array;
    getText(): string;
    getMetadata(): ContentAssetMetadataMapEntry;
}
//# sourceMappingURL=content-asset-wasm-inline.d.ts.map